scilab

×

Error message

  • Deprecated function: The each() function is deprecated. This message will be suppressed on further calls in _menu_load_objects() (line 579 of /data/wwwroot/includes/menu.inc).
  • Deprecated function: implode(): Passing glue string after array is deprecated. Swap the parameters in drupal_get_feeds() (line 394 of /data/wwwroot/includes/common.inc).

compile scilab 5.0.3 บน ubuntu 8.10

Scilab เป็นโปรแกรมแนว Matlab คือเป็น matrix based ในการคำนาณ ซึ่งเหมาะกับการคำนาณหลาย ๆ ด้าน

จริง ๆ scilab บน Ubuntu 8.10 มีให้ใช้ แต่รู้สึก ค่อนข้างเก่า เลย compile ใหม่ดีกว่า

ไปโหลด package มาจาก http://www.scilab.org/ และ image processing tooolbox จาก http://siptoolbox.sourceforge.net/

จากนั้นลง dependency ดูจาก http://wiki.scilab.org/Dependencies_of_Scilab_5.X พบว่ามากมาย -_-''
ไหน ๆ ก็ไหน ๆ เปิด feature ที่เป็น java ด้วยละกัน

  1. sake@sake-laptop:~/Download/ sudo apt-get install gcc g++ gfortran liblapack-dev ant libjogl-java libjogl-java
  2. libcommons-logging-java libjrosetta-java  tcl8.5-dev tk8.5-dev libx11-dev ocaml-nox libflexdock-java libxml2-dev
  3. libpcre3-dev libmatio-dev